Package org.eclipse.rdf4j.sail.shacl.ast.constraintcomponents

## Class XoneConstraintComponent

- java.lang.Object
- - org.eclipse.rdf4j.sail.shacl.ast.constraintcomponents.AbstractConstraintComponent
  - - org.eclipse.rdf4j.sail.shacl.ast.constraintcomponents.XoneConstraintComponent

- All Implemented Interfaces:
    `ConstraintComponent`, `org.eclipse.rdf4j.sail.shacl.ast.Exportable`, `org.eclipse.rdf4j.sail.shacl.ast.TargetChainInterface`

      public class XoneConstraintComponent
      extends AbstractConstraintComponent

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.rdf4j.sail.shacl.ast.constraintcomponents.ConstraintComponent

      `ConstraintComponent.Scope`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.sail.shacl.ast.constraintcomponents.AbstractConstraintComponent

      `VALUES_INJECTION_POINT`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `XoneConstraintComponent​(Resource id, ShapeSource shapeSource, org.eclipse.rdf4j.sail.shacl.ast.Cache cache, ShaclSail shaclSail)` |
    `XoneConstraintComponent​(XoneConstraintComponent xoneConstraintComponent)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ConstraintComponent` | `deepClone()` |
    `SourceConstraintComponent` | `getConstraintComponent()` |
    `List<org.eclipse.rdf4j.sail.shacl.ast.Shape>` | `getXone()` |
    `void` | `setTargetChain​(TargetChain targetChain)` |
    `void` | `toModel​(Resource subject, IRI predicate, Model model, Set<Resource> cycleDetection)` |

    - ### Methods inherited from class org.eclipse.rdf4j.sail.shacl.ast.constraintcomponents.AbstractConstraintComponent

      `buildSparqlValidNodes_rsx_targetShape, generateSparqlValidationQuery, generateTransactionalValidationPlan, getAllTargetsPlan, getId, getOptimalBulkValidationApproach, getPreferredValidationApproach, getTargetChain, requiresEvaluation`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XoneConstraintComponent

          public XoneConstraintComponent​(Resource id,
                                         ShapeSource shapeSource,
                                         org.eclipse.rdf4j.sail.shacl.ast.Cache cache,
                                         ShaclSail shaclSail)

    - #### XoneConstraintComponent

          public XoneConstraintComponent​(XoneConstraintComponent xoneConstraintComponent)

  - ### Method Detail

    - #### toModel

          public void toModel​(Resource subject,
                              IRI predicate,
                              Model model,
                              Set<Resource> cycleDetection)

    - #### setTargetChain

          public void setTargetChain​(TargetChain targetChain)

      Specified by:
        `setTargetChain` in interface `org.eclipse.rdf4j.sail.shacl.ast.TargetChainInterface`
      Overrides:
        `setTargetChain` in class `AbstractConstraintComponent`

    - #### getXone

          public List<org.eclipse.rdf4j.sail.shacl.ast.Shape> getXone()

    - #### getConstraintComponent

          public SourceConstraintComponent getConstraintComponent()

    - #### deepClone

          public ConstraintComponent deepClone()